Bug 147332 - [NEW PORT] audio/libfishsound: A programing interface to decode/encode audio data
Summary: [NEW PORT] audio/libfishsound: A programing interface to decode/encode audio ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-02 18:10 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-08-06 00:00 UTC (History)
0 users

See Also:


Attachments
libfishsound-1.0.0.shar (6.65 KB, text/plain)
2010-06-02 18:10 UTC, Sunpoet Po-Chuan Hsieh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-06-02 18:10:03 UTC
libfishsound provides a simple programming interface for decoding and encoding
audio data using the Xiph.org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a lower
level layer such as UDP datagrams. When these codecs are used in files, they
are commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis
files.

libfishsound is a wrapper around the existing codec libraries and provides a
consistent, higher-level programming interface. It has been designed for use in
a wide variety of applications; it has no direct dependencies on Ogg
encapsulation, though it is most commonly used in conjunction with liboggz to
decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg
Theora and Annodex.

WWW:	http://www.xiph.org/fishsound/

Generated with FreeBSD Port Tools 0.99
Comment 1 Dmitry Marakasov freebsd_committer 2010-06-02 18:54:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-06-02 18:55:26 UTC
State Changed
From-To: open->feedback

Does not build, probably lacks a dependency: 
http://people.freebsd.org/~amdmi3/libfishsound-1.0.0.log; 
libdata/pkgconfig is in the mtree, so should not be dirrm'd
Comment 3 Sunpoet Po-Chuan Hsieh 2010-07-16 19:35:44 UTC
Hi, amdmi3@

Just a reminder if the updated shar works ?

Regards,
Sunpoet

On Sat, Jun 5, 2010 at 12:26 AM, Sunpoet Po-Chuan Hsieh
<sunpoet@sunpoet.net> wrote:
> On Wed, Jun 02, 2010 at 05:55:27PM +0000, amdmi3@FreeBSD.org wrote:
>> Synopsis: [NEW PORT] audio/libfishsound: A programing interface to decod=
e/encode audio data
>>
>> State-Changed-From-To: open->feedback
>> State-Changed-By: amdmi3
>> State-Changed-When: Wed Jun 2 17:55:26 UTC 2010
>> State-Changed-Why:
>> Does not build, probably lacks a dependency:
>> http://people.freebsd.org/~amdmi3/libfishsound-1.0.0.log;
>> libdata/pkgconfig is in the mtree, so should not be dirrm'd
>>
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D147332
>
> Hi,
>
> The updated version is attached as a shar file.
> Please review it again.
> Thanks.
>
> BR,
> Sunpoet
>
> --
> =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
>
Comment 4 Dmitry Marakasov 2010-07-27 15:56:32 UTC
* Sunpoet Hsieh (sunpoet@sunpoet.net) wrote:

> Just a reminder if the updated shar works ?

It builds fine (except for s/LOCALBIN/LOCALBASE/ for doxygen
dependency). However the bad thing is that it depends on doxygen
by default which is (along with tetex and other depends) to weighty
for a small library. I suggest to change NOPORTDOCS to DOXYGEN
option disabled by default. See devel/log4cxx - I think it's the
best way to do it, as it respects both NOPORTDOCS and WITH_DOXYGEN
and takes advangate of PORTDOCS=* to automatically generate plist
for docs thus making pkg-plist smaller and clearer.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Sunpoet Po-Chuan Hsieh 2010-07-29 19:54:06 UTC
On Tue, Jul 27, 2010 at 10:56 PM, Dmitry Marakasov <amdmi3@amdmi3.ru> wrote:
> * Sunpoet Hsieh (sunpoet@sunpoet.net) wrote:
>
>> Just a reminder if the updated shar works ?
>
> It builds fine (except for s/LOCALBIN/LOCALBASE/ for doxygen
> dependency). However the bad thing is that it depends on doxygen
> by default which is (along with tetex and other depends) to weighty
> for a small library. I suggest to change NOPORTDOCS to DOXYGEN
> option disabled by default. See devel/log4cxx - I think it's the
> best way to do it, as it respects both NOPORTDOCS and WITH_DOXYGEN
> and takes advangate of PORTDOCS=* to automatically generate plist
> for docs thus making pkg-plist smaller and clearer.
>

Hi,

Thanks for your advice.
I've updated the Makefile and pkg-plist.

Regards,
Sunpoet

--- libfishsound-1.0.0.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	libfishsound
#	libfishsound/pkg-descr
#	libfishsound/Makefile
#	libfishsound/pkg-plist
#	libfishsound/distinfo
#
echo c - libfishsound
mkdir -p libfishsound > /dev/null 2>&1
echo x - libfishsound/pkg-descr
sed 's/^X//' >libfishsound/pkg-descr << 'e16ef4373bcf517cb3744a318beb74ff'
Xlibfishsound provides a simple programming interface for decoding and encoding
Xaudio data using the Xiph.org codecs (FLAC, Speex and Vorbis).
X
Xlibfishsound by itself is designed to handle raw codec streams from a lower
Xlevel layer such as UDP datagrams. When these codecs are used in files, they
Xare commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis
Xfiles.
X
Xlibfishsound is a wrapper around the existing codec libraries and provides a
Xconsistent, higher-level programming interface. It has been designed for use in
Xa wide variety of applications; it has no direct dependencies on Ogg
Xencapsulation, though it is most commonly used in conjunction with liboggz to
Xdecode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg
XTheora and Annodex.
X
XWWW:	http://www.xiph.org/fishsound/
e16ef4373bcf517cb3744a318beb74ff
echo x - libfishsound/Makefile
sed 's/^X//' >libfishsound/Makefile << 'fc1c974d8548180419f5f476587c8c6f'
X# New ports collection makefile for:	libfishsound
X# Date created:		2010-05-28
X# Whom:			Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	libfishsound
XPORTVERSION=	1.0.0
XCATEGORIES=	audio
XMASTER_SITES=	http://downloads.xiph.org/releases/libfishsound/ \
X		http://sunpoet.net/distfiles/
X
XMAINTAINER=	sunpoet@sunpoet.net
XCOMMENT=	A programing interface to decode/encode audio data
X
XLIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
X		speex:${PORTSDIR}/audio/speex \
X		vorbis:${PORTSDIR}/audio/libvorbis
X
XGNU_CONFIGURE=	yes
XUSE_GNOME=	gnomehack pkgconfig
XUSE_LDCONFIG=	yes
X
XOPTIONS=	DOXYGEN	"Doxygen is required for generating documents" off
X
X.include <bsd.port.pre.mk>
X
X.if !defined(NOPORTDOCS) && defined(WITH_DOXYGEN)
XBUILD_DEPENDS=	${LOCALBASE}/bin/doxygen:${PORTSDIR}/devel/doxygen
XPORTDOCS=	*
X.endif
X
Xpost-patch:
X.if defined(NOPORTDOCS) || defined(WITHOUT_DOXYGEN)
X	@${REINPLACE_CMD} -e '/^SUBDIRS = / s| doc||' ${WRKSRC}/Makefile.in
X.endif
X
X.include <bsd.port.post.mk>
fc1c974d8548180419f5f476587c8c6f
echo x - libfishsound/pkg-plist
sed 's/^X//' >libfishsound/pkg-plist << '7334c08fa8d547fff8123fe16932d4e7'
X@comment $FreeBSD$
Xinclude/fishsound/comments.h
Xinclude/fishsound/constants.h
Xinclude/fishsound/decode.h
Xinclude/fishsound/deprecated.h
Xinclude/fishsound/encode.h
Xinclude/fishsound/fishsound.h
Xlib/libfishsound.a
Xlib/libfishsound.la
Xlib/libfishsound.so
Xlib/libfishsound.so.4
Xlibdata/pkgconfig/fishsound.pc
X@dirrm include/fishsound
7334c08fa8d547fff8123fe16932d4e7
echo x - libfishsound/distinfo
sed 's/^X//' >libfishsound/distinfo << '151f0ebd09a92c49b9086e90296c83bb'
XMD5 (libfishsound-1.0.0.tar.gz) = 02c5c7b361a35c9da3cf311d68800dab
XSHA256 (libfishsound-1.0.0.tar.gz) =
2e0b57ce2fecc9375eef72938ed08ac8c8f6c5238e1cae24458f0b0e8dade7c7
XSIZE (libfishsound-1.0.0.tar.gz) = 444980
151f0ebd09a92c49b9086e90296c83bb
exit
--- libfishsound-1.0.0.shar ends here ---
Comment 6 Dmitry Marakasov freebsd_committer 2010-08-05 23:55:17 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 7 dfilter service freebsd_committer 2010-08-05 23:55:24 UTC
amdmi3      2010-08-05 22:55:13 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/libfishsound   Makefile distinfo pkg-descr pkg-plist 
  Log:
  libfishsound provides a simple programming interface for decoding and encoding
  audio data using the Xiph.org codecs (FLAC, Speex and Vorbis).
  
  libfishsound by itself is designed to handle raw codec streams from a lower
  level layer such as UDP datagrams. When these codecs are used in files, they
  are commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis
  files.
  
  libfishsound is a wrapper around the existing codec libraries and provides a
  consistent, higher-level programming interface. It has been designed for use in
  a wide variety of applications; it has no direct dependencies on Ogg
  encapsulation, though it is most commonly used in conjunction with liboggz to
  decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg
  Theora and Annodex.
  
  WWW:    http://www.xiph.org/fishsound/
  
  PR:             147332
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
  
  Revision  Changes    Path
  1.1119    +1 -0      ports/audio/Makefile
  1.1       +39 -0     ports/audio/libfishsound/Makefile (new)
  1.1       +3 -0      ports/audio/libfishsound/distinfo (new)
  1.1       +16 -0     ports/audio/libfishsound/pkg-descr (new)
  1.1       +12 -0     ports/audio/libfishsound/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"